# Generated from binding_of_caller-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name binding_of_caller

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Retrieve the binding of a method's caller, or further up the stack
License: MIT
URL: https://github.com/banister/binding_of_caller
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
Provides the Binding#of_caller method.
Using binding_of_caller we can grab bindings from higher up the call stack and
evaluate code in that context.
Allows access to bindings arbitrarily far up the call stack, not limited to
just the immediate caller.
Recommended for use only in debugging situations. Do not use this in
production apps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/binding_of_caller.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 1.0.0-1
- Initial package
